frobstepwise {gausscov} | R Documentation

## robust stepwise selection of covariates

### Description

robust stepwise selection of covariates

### Usage

    frobstepwise(y, x, cn, alpha, nu = 1, kmax = 0, intercept = TRUE,
      chkintercept = FALSE, kexk = 0, sig = 0)

### Arguments

`y` | Dependent variable
`x` | Covariates
`cn` | Parameter fir Huber's psi-function
`alpha` | The P-value cut-off
`nu` | The order statistic of Gaussian covariates used for comparison
`kmax` | The maximum number of included covariates
`intercept` | Logical to include intercept
`chkintercept` | Logical to include or exclude intercept dependent on the P-value
`kexk` | The excluded covariates
`sig` | Scale value of dependent variable

### Value

pv pv[[1]] the included covariates, the P-values; pv[[2]] coefficients of robust linear regression; pv[[3]] residuals; pv[[4]] scale.

### Examples

    data(boston)
    bostonrob<-frobstepwise(boston[,14],boston[,1:13],1,0.01,15,intercept=TRUE)
    bostonrob[[1]]
    bostonrob[[2]]
    plot(bostonrob[[3]])

[Package gausscov version 0.0.2 Index]